<div id="homeContainer"> 
        <div class="whiteBorderGlassBox">
          <div class="homeHeadContainer">
            <div class="row">
              <div class="col-md-auto">
                <div class="avatarFrameOnline">
                  <img src="assets/img/generic_avatar.png" id="homeAvatarPicture" alt="avatar" class="img-fluid" >
                </div>
            </div>
            <div class="col" >
                <b>Jeison Ruiz</b>
                <div>
                    <span>Online</span>
                    <br/>
                    <span>Escribe un mensaje personal</span> <br />
                    <a (click)="logout()">Logout</a>
                </div>
            </div>
        </div>
    </div>
</div> 

<div class="whiteContainerPadded">
        <div class="row">
          <div class="col">
            <input type="text" class="form-control" placeholder="Buscar amigos" [(ngModel)]="query">
          </div>
          <div class="col-md-auto">
            <img (click)="open(content)" src="assets/img/logo_live_add.png" class="icon" alt="add friend" >
          </div>
        </div>
        <hr />
        <b *ngIf="friends">Amigos {{friends.length}} / {{friends.length}}</b>
        <div *ngFor="let user of friends | search: query; let i = index" class="disblo marbo5">
                <img (click)="open(content)" src="assets/img/logo_live_online.png" class="icon" alt="">
                <span routerLink="/conversation/{{user.uid}}">
                    <b>{{user.nick}}</b> - {{user.subnick || 'No'}}
                    <small>{{user.email}}</small>
                </span>
            
            </div>
      </div>


</div>


<ng-template #content let-modal>
    <div class="modal-header">
        <h4 class="modal-title" id="modal-basic-title">Agregar amigo</h4>
        <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
        <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <div class="row">
            <b>Ingresa email de tu amigo</b>
            <input type="email" class="form-control" placeholder="Email" [(ngModel)] = "friendEmail" (keyup.enter)="sendRequest()">
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-outline-dark" (click)="sendRequest()">Guardar</button>
    </div>
</ng-template>


<!--
<div class="whiteContainerPadded">
        <div class="row">
            <div class="col">
                <input type="text" placeholder="Buscar amigo" [(ngModel)]="query"/>
            <div>
        </div>   
    </div>

    <br />
    <b>Amigos</b>
    <ng-container *ngFor="let user of friends | search: query; let i = index">
        <div>
            <a routerLink="/conversation/{{user.uid}}">
                {{i}}. {{user.nick}} - {{user.email}}
            </a>
        </div>
    </ng-container>
</div>
-->

<!-- Esto asi podria generar un error ya que el if se lo esta poniendo para ese bloque y no hay nada que condicionar.
Tambien sin la etiqueta ng-container puedes poner el ngFor directamente en la etiqueta <p>
<p *ngIf = "false" *ngFor="let user of friends; let i = index">
    {{i}}. {{user.nick}} - {{user.subnick}}
</p>
-->


<!--
    <b>No agregados</b>
<ng-container *ngFor="let user of friends; let i = index">
    <p *ngIf = "!user.friend">
        {{i}}. {{user.nick}} - {{user.email}}
    </p>
</ng-container>
-->

<!--
<b>Amigos</b>
<ng-container *ngFor="let user of friends; let i = index">
    <div *ngIf = "user.friend">
        <a routerLink="/conversation/{{user.uid}}">
            {{i}}. {{user.nick}} - {{user.email}}
        </a>
    </div>
</ng-container>
-->